#ifndef _IoManager_H__
#define _IoManager_H__

#include <OgrePrerequisites.h>
#include <OgreMath.h>
#include <Ogre.h>
#include <OgreSceneNode.h>

class IoManager
{
public:
	IoManager(Ogre::String fileName);

	void Write();
	void AddNode(Ogre::SceneNode *node);

	std::vector<Ogre::Vector3> mPositions;
	std::vector<Ogre::Quaternion> mOrientations;

protected:
	std::ofstream mFile;
};

#endif // IoManager